# -*- encoding : utf-8 -*-

class Admin::PFournisseursController < ApplicationController
  layout "admin"
  before_filter :auth_admin

  before_filter :admin_space
  
  def admin_space
    @admin_space = "stocks"
  end
  
  def import
    if false
      
      @file = params[:csv_file]
    
      require 'csv'    

      csv_text = File.read("#{Rails.root}/import_csv/fournisseurs.csv") #.force_encoding('ISO-8859-1')
      @csv = CSV.parse(csv_text, :headers => true, :col_sep => ";")
    end
    
  end
  
  
  def index
    @p_fournisseurs = PFournisseur.order(:name).all

   
  end

  def show
    @p_fournisseur = PFournisseur.find(params[:id])

  end

  def new
    
    
		@p_fournisseur = PFournisseur.new
    

  end

 

  def edit
  
    
    @p_fournisseur = PFournisseur.find(params[:id])
  end

  def create
    @p_fournisseur = PFournisseur.new(params.require(:p_fournisseur).permit!)


    if @p_fournisseur.save
     @p_fournisseurs = PFournisseur.order(:name).all
      
    else
      render action: "new"
 
    end

  end


  def update
    @p_fournisseur = PFournisseur.find(params[:id])


    if @p_fournisseur.update_attributes(params.require(:p_fournisseur).permit!)
      
       @p_fournisseurs = PFournisseur.order(:name).all
    else
     render action: "edit" 
      
    end
      
  end


  def destroy
    @p_fournisseur = PFournisseur.find(params[:id])
    @p_fournisseur.destroy
    
    
  end
end
